function onTalk()
    disableMovement()
	disableRetry()

    if not (getFlag("Ushiro1")) then
      say ("UshiroStart")
    end

    if (getFlag("Ushiro1")) then
        say ("UshiroChoiceBegin")
        choiceDialog({
      {"UshiroChoice1",onChosen = function()
        say ("UshiroChoice1Dialog")
      end},
      {"UshiroChoice2",onChosen = function()
        say ("UshiroChoice2Dialog")
      end},
      {"UshiroChoice3",onChosen = function()
        closeChoiceDialog()
      end}
      })
    end

end

function onEnd()
    setFlag("Ushiro1", true)
    enableMovement()
	enableRetry()
end